<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Packages\Product\Models\Product;


class Upload extends Model
{
    protected $fillable = ['name', 'path', 'mime_type', 'creator_id', 'uploadable'];
    public function products()
    {
        return $this->morphTo(Product::class, 'uploadable');
    }
}
